Bug 116990 - sched_ syscall support missing
Summary: sched_ syscall support missing
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-27 04:33 UTC by Ulrich Drepper
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-02 08:50:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add the support (1.93 KB, patch)
2004-02-27 04:34 UTC, Ulrich Drepper
no flags Details | Diff
better patch (2.19 KB, patch)
2004-02-27 05:24 UTC, Ulrich Drepper
no flags Details | Diff
fix a type (2.19 KB, patch)
2004-02-27 05:27 UTC, Ulrich Drepper
no flags Details | Diff
Also handle sched_get_priority_m{in,ax} (2.49 KB, patch)
2004-02-27 05:43 UTC, Ulrich Drepper
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:338 normal SHIPPED_LIVE Updated strace package 2004-09-01 04:00:00 UTC

Description Ulrich Drepper 2004-02-27 04:33:52 UTC
Description of problem:

support for sched_[sg]etscheduler, sched_[sg]etparam is missing

Version-Release number of selected component (if applicable):

strace-4.5.1-1

How reproducible:

run code which uses those syscalls

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ulrich Drepper 2004-02-27 04:34:32 UTC
Created attachment 98094 [details]
Patch to add the support

Comment 2 Ulrich Drepper 2004-02-27 05:24:18 UTC
Created attachment 98096 [details]
better patch

Comment 3 Ulrich Drepper 2004-02-27 05:27:17 UTC
Created attachment 98097 [details]
fix a type

Some days you better don't touch the keyboard...

Comment 4 Ulrich Drepper 2004-02-27 05:43:43 UTC
Created attachment 98098 [details]
Also handle sched_get_priority_m{in,ax}

These two need to be handled, too.

Comment 5 Roland McGrath 2004-03-01 20:29:59 UTC
Incorporated upstream.

Comment 6 Roland McGrath 2004-03-02 08:50:22 UTC
4.5.2-1 fixes it.

Comment 7 Jay Turner 2004-09-02 03:32:25 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-338.html



Note You need to log in before you can comment on or make changes to this bug.